#ifndef __RANDOM_TREE_GENERATOR_H__
#define __RANDOM_TREE_GENERATOR_H__

#include <iostream>

#include <vector>
#include "Tree.h"

#include <time.h>

using namespace std;

class RTG
{
private:
	vector<Tree*> TreeVector;
	Tree* Root;
	int amount;
	int rangeLimit;
public:
	//create a random tree amount = [Number of Nodes]
	//labels are numbers so they start at 0 and the top limit is rangeLimit = [Upper Limit of Labels]
	RTG(int rangeLimit1 = 100);
	~RTG() {TreeVector.~vector(); }
	void Generate();
	void Clear();
	Tree* getRoot();

	//int to string
	string ItoS(int num);
};

#endif
